Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
This data source provides details about a specific Identity Proofing Provider resource in Oracle Cloud Infrastructure Identity Domains service.
Get an IdentityProofingProvider.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testIdentityProofingProvider = oci.Identity.getDomainsIdentityProofingProvider({
idcsEndpoint: testDomain.url,
identityProofingProviderId: testIdentityProofingProviderOciIdentityDomainsIdentityProofingProvider.id,
attributeSets: ["all"],
attributes: "",
authorization: identityProofingProviderAuthorization,
resourceTypeSchemaVersion: identityProofingProviderResourceTypeSchemaVersion,
});
import pulumi
import pulumi_oci as oci
test_identity_proofing_provider = oci.Identity.get_domains_identity_proofing_provider(idcs_endpoint=test_domain["url"],
identity_proofing_provider_id=test_identity_proofing_provider_oci_identity_domains_identity_proofing_provider["id"],
attribute_sets=["all"],
attributes="",
authorization=identity_proofing_provider_authorization,
resource_type_schema_version=identity_proofing_provider_resource_type_schema_version)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/identity"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := identity.GetDomainsIdentityProofingProvider(ctx, &identity.GetDomainsIdentityProofingProviderArgs{
IdcsEndpoint: testDomain.Url,
IdentityProofingProviderId: testIdentityProofingProviderOciIdentityDomainsIdentityProofingProvider.Id,
AttributeSets: []string{
"all",
},
Attributes: pulumi.StringRef(""),
Authorization: pulumi.StringRef(identityProofingProviderAuthorization),
ResourceTypeSchemaVersion: pulumi.StringRef(identityProofingProviderResourceTypeSchemaVersion),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testIdentityProofingProvider = Oci.Identity.GetDomainsIdentityProofingProvider.Invoke(new()
{
IdcsEndpoint = testDomain.Url,
IdentityProofingProviderId = testIdentityProofingProviderOciIdentityDomainsIdentityProofingProvider.Id,
AttributeSets = new[]
{
"all",
},
Attributes = "",
Authorization = identityProofingProviderAuthorization,
ResourceTypeSchemaVersion = identityProofingProviderResourceTypeSchemaVersion,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Identity.IdentityFunctions;
import com.pulumi.oci.Identity.inputs.GetDomainsIdentityProofingProviderArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testIdentityProofingProvider = IdentityFunctions.getDomainsIdentityProofingProvider(GetDomainsIdentityProofingProviderArgs.builder()
.idcsEndpoint(testDomain.url())
.identityProofingProviderId(testIdentityProofingProviderOciIdentityDomainsIdentityProofingProvider.id())
.attributeSets("all")
.attributes("")
.authorization(identityProofingProviderAuthorization)
.resourceTypeSchemaVersion(identityProofingProviderResourceTypeSchemaVersion)
.build());
}
}
variables:
testIdentityProofingProvider:
fn::invoke:
function: oci:Identity:getDomainsIdentityProofingProvider
arguments:
idcsEndpoint: ${testDomain.url}
identityProofingProviderId: ${testIdentityProofingProviderOciIdentityDomainsIdentityProofingProvider.id}
attributeSets:
- all
attributes: ""
authorization: ${identityProofingProviderAuthorization}
resourceTypeSchemaVersion: ${identityProofingProviderResourceTypeSchemaVersion}
Using getDomainsIdentityProofingProvider
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getDomainsIdentityProofingProvider(args: GetDomainsIdentityProofingProviderArgs, opts?: InvokeOptions): Promise<GetDomainsIdentityProofingProviderResult>
function getDomainsIdentityProofingProviderOutput(args: GetDomainsIdentityProofingProviderOutputArgs, opts?: InvokeOptions): Output<GetDomainsIdentityProofingProviderResult>def get_domains_identity_proofing_provider(attribute_sets: Optional[Sequence[str]] = None,
attributes: Optional[str] = None,
authorization: Optional[str] = None,
idcs_endpoint: Optional[str] = None,
identity_proofing_provider_id: Optional[str] = None,
resource_type_schema_version: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetDomainsIdentityProofingProviderResult
def get_domains_identity_proofing_provider_output(attribute_sets: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
attributes: Optional[pulumi.Input[str]] = None,
authorization: Optional[pulumi.Input[str]] = None,
idcs_endpoint: Optional[pulumi.Input[str]] = None,
identity_proofing_provider_id: Optional[pulumi.Input[str]] = None,
resource_type_schema_version: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetDomainsIdentityProofingProviderResult]func LookupDomainsIdentityProofingProvider(ctx *Context, args *LookupDomainsIdentityProofingProviderArgs, opts ...InvokeOption) (*LookupDomainsIdentityProofingProviderResult, error)
func LookupDomainsIdentityProofingProviderOutput(ctx *Context, args *LookupDomainsIdentityProofingProviderOutputArgs, opts ...InvokeOption) LookupDomainsIdentityProofingProviderResultOutput> Note: This function is named LookupDomainsIdentityProofingProvider in the Go SDK.
public static class GetDomainsIdentityProofingProvider
{
public static Task<GetDomainsIdentityProofingProviderResult> InvokeAsync(GetDomainsIdentityProofingProviderArgs args, InvokeOptions? opts = null)
public static Output<GetDomainsIdentityProofingProviderResult> Invoke(GetDomainsIdentityProofingProviderInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetDomainsIdentityProofingProviderResult> getDomainsIdentityProofingProvider(GetDomainsIdentityProofingProviderArgs args, InvokeOptions options)
public static Output<GetDomainsIdentityProofingProviderResult> getDomainsIdentityProofingProvider(GetDomainsIdentityProofingProviderArgs args, InvokeOptions options)
fn::invoke:
function: oci:Identity/getDomainsIdentityProofingProvider:getDomainsIdentityProofingProvider
arguments:
# arguments dictionaryThe following arguments are supported:
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Id - ID of the resource.
- Attribute
Sets List<string> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Id - ID of the resource.
- Attribute
Sets []string - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Id - ID of the resource.
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint string - The basic endpoint for the identity domain
- identity
Proofing stringProvider Id - ID of the resource.
- attribute
Sets string[] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs_
endpoint str - The basic endpoint for the identity domain
- identity_
proofing_ strprovider_ id - ID of the resource.
- attribute_
sets Sequence[str] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes str
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- str
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource_
type_ strschema_ version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Id - ID of the resource.
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
getDomainsIdentityProofingProvider Result
The following output properties are available:
- Claim
Mappings List<GetDomains Identity Proofing Provider Claim Mapping> - Configure the verification claims and IAM Domain user attribute mapping.
- Compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- Configurations
List<Get
Domains Identity Proofing Provider Configuration> - Configure the verification provider.
- Delete
In boolProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- Description string
- Description field to add comments and additional information about the Identity Proofing Provider.
- Domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- Id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- Idcs
Created List<GetBies Domains Identity Proofing Provider Idcs Created By> - The User or App who created the Resource
- Idcs
Endpoint string - Idcs
Last List<GetModified Bies Domains Identity Proofing Provider Idcs Last Modified By> - The User or App who modified the Resource
- Idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- Idcs
Locked List<GetBies Domains Identity Proofing Provider Idcs Locked By> - The User or App who locked the Resource.
- Idcs
Locked stringOn - The most recent DateTime the resource was locked.
- Idcs
Locked List<string>Operations - Operations that are locked on the resource.
- Idcs
Prevented List<string>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- Identity
Proofing stringProvider Id - Identity
Proofing stringProvider Provider - The Identity Proofing Provider.
- Metas
List<Get
Domains Identity Proofing Provider Meta> - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- Name string
- Name of the Identity Proofing Provider.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Runtime
Datas List<GetDomains Identity Proofing Provider Runtime Data> - Identity Proofing runtime custom data.
- Schemas List<string>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Status string
- Status of the Identity Proofing Provider.
- Tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- Attribute
Sets List<string> - Attributes string
- string
- Resource
Type stringSchema Version
- Claim
Mappings []GetDomains Identity Proofing Provider Claim Mapping - Configure the verification claims and IAM Domain user attribute mapping.
- Compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- Configurations
[]Get
Domains Identity Proofing Provider Configuration - Configure the verification provider.
- Delete
In boolProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- Description string
- Description field to add comments and additional information about the Identity Proofing Provider.
- Domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- Id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- Idcs
Created []GetBies Domains Identity Proofing Provider Idcs Created By - The User or App who created the Resource
- Idcs
Endpoint string - Idcs
Last []GetModified Bies Domains Identity Proofing Provider Idcs Last Modified By - The User or App who modified the Resource
- Idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- Idcs
Locked []GetBies Domains Identity Proofing Provider Idcs Locked By - The User or App who locked the Resource.
- Idcs
Locked stringOn - The most recent DateTime the resource was locked.
- Idcs
Locked []stringOperations - Operations that are locked on the resource.
- Idcs
Prevented []stringOperations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- Identity
Proofing stringProvider Id - Identity
Proofing stringProvider Provider - The Identity Proofing Provider.
- Metas
[]Get
Domains Identity Proofing Provider Meta - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- Name string
- Name of the Identity Proofing Provider.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Runtime
Datas []GetDomains Identity Proofing Provider Runtime Data - Identity Proofing runtime custom data.
- Schemas []string
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Status string
- Status of the Identity Proofing Provider.
- Tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- Attribute
Sets []string - Attributes string
- string
- Resource
Type stringSchema Version
- claim
Mappings List<GetDomains Proofing Provider Claim Mapping> - Configure the verification claims and IAM Domain user attribute mapping.
- compartment
Ocid String - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
List<Get
Domains Proofing Provider Configuration> - Configure the verification provider.
- delete
In BooleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- description String
- Description field to add comments and additional information about the Identity Proofing Provider.
- domain
Ocid String - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id String
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created List<GetBies Domains Proofing Provider Idcs Created By> - The User or App who created the Resource
- idcs
Endpoint String - idcs
Last List<GetModified Bies Domains Proofing Provider Idcs Last Modified By> - The User or App who modified the Resource
- idcs
Last StringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked List<GetBies Domains Proofing Provider Idcs Locked By> - The User or App who locked the Resource.
- idcs
Locked StringOn - The most recent DateTime the resource was locked.
- idcs
Locked List<String>Operations - Operations that are locked on the resource.
- idcs
Prevented List<String>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing StringProvider Id - identity
Proofing StringProvider Provider - The Identity Proofing Provider.
- metas
List<Get
Domains Proofing Provider Meta> - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- name String
- Name of the Identity Proofing Provider.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- runtime
Datas List<GetDomains Proofing Provider Runtime Data> - Identity Proofing runtime custom data.
- schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- status String
- Status of the Identity Proofing Provider.
- tenancy
Ocid String - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- attribute
Sets List<String> - attributes String
- String
- resource
Type StringSchema Version
- claim
Mappings GetDomains Identity Proofing Provider Claim Mapping[] - Configure the verification claims and IAM Domain user attribute mapping.
- compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
Get
Domains Identity Proofing Provider Configuration[] - Configure the verification provider.
- delete
In booleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- description string
- Description field to add comments and additional information about the Identity Proofing Provider.
- domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created GetBies Domains Identity Proofing Provider Idcs Created By[] - The User or App who created the Resource
- idcs
Endpoint string - idcs
Last GetModified Bies Domains Identity Proofing Provider Idcs Last Modified By[] - The User or App who modified the Resource
- idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked GetBies Domains Identity Proofing Provider Idcs Locked By[] - The User or App who locked the Resource.
- idcs
Locked stringOn - The most recent DateTime the resource was locked.
- idcs
Locked string[]Operations - Operations that are locked on the resource.
- idcs
Prevented string[]Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing stringProvider Id - identity
Proofing stringProvider Provider - The Identity Proofing Provider.
- metas
Get
Domains Identity Proofing Provider Meta[] - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- name string
- Name of the Identity Proofing Provider.
- ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- runtime
Datas GetDomains Identity Proofing Provider Runtime Data[] - Identity Proofing runtime custom data.
- schemas string[]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- status string
- Status of the Identity Proofing Provider.
- tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- attribute
Sets string[] - attributes string
- string
- resource
Type stringSchema Version
- claim_
mappings Sequence[GetDomains Identity Proofing Provider Claim Mapping] - Configure the verification claims and IAM Domain user attribute mapping.
- compartment_
ocid str - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
Sequence[Get
Domains Identity Proofing Provider Configuration] - Configure the verification provider.
- delete_
in_ boolprogress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- description str
- Description field to add comments and additional information about the Identity Proofing Provider.
- domain_
ocid str - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id str
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs_
created_ Sequence[Getbies Domains Identity Proofing Provider Idcs Created By] - The User or App who created the Resource
- idcs_
endpoint str - idcs_
last_ Sequence[Getmodified_ bies Domains Identity Proofing Provider Idcs Last Modified By] - The User or App who modified the Resource
- idcs_
last_ strupgraded_ in_ release - The release number when the resource was upgraded.
- idcs_
locked_ Sequence[Getbies Domains Identity Proofing Provider Idcs Locked By] - The User or App who locked the Resource.
- idcs_
locked_ stron - The most recent DateTime the resource was locked.
- idcs_
locked_ Sequence[str]operations - Operations that are locked on the resource.
- idcs_
prevented_ Sequence[str]operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity_
proofing_ strprovider_ id - identity_
proofing_ strprovider_ provider - The Identity Proofing Provider.
- metas
Sequence[Get
Domains Identity Proofing Provider Meta] - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- name str
- Name of the Identity Proofing Provider.
- ocid str
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- runtime_
datas Sequence[GetDomains Identity Proofing Provider Runtime Data] - Identity Proofing runtime custom data.
- schemas Sequence[str]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- status str
- Status of the Identity Proofing Provider.
- tenancy_
ocid str - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- attribute_
sets Sequence[str] - attributes str
- str
- resource_
type_ strschema_ version
- claim
Mappings List<Property Map> - Configure the verification claims and IAM Domain user attribute mapping.
- compartment
Ocid String - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations List<Property Map>
- Configure the verification provider.
- delete
In BooleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- description String
- Description field to add comments and additional information about the Identity Proofing Provider.
- domain
Ocid String - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id String
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created List<Property Map>Bies - The User or App who created the Resource
- idcs
Endpoint String - idcs
Last List<Property Map>Modified Bies - The User or App who modified the Resource
- idcs
Last StringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked List<Property Map>Bies - The User or App who locked the Resource.
- idcs
Locked StringOn - The most recent DateTime the resource was locked.
- idcs
Locked List<String>Operations - Operations that are locked on the resource.
- idcs
Prevented List<String>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing StringProvider Id - identity
Proofing StringProvider Provider - The Identity Proofing Provider.
- metas List<Property Map>
- A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- name String
- Name of the Identity Proofing Provider.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- runtime
Datas List<Property Map> - Identity Proofing runtime custom data.
- schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- status String
- Status of the Identity Proofing Provider.
- tenancy
Ocid String - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- attribute
Sets List<String> - attributes String
- String
- resource
Type StringSchema Version
Supporting Types
GetDomainsIdentityProofingProviderClaimMapping
- Attr
Match string - Matching attribute.
- Verifiable
Claim string - Verifiable Claims.
- Attr
Match string - Matching attribute.
- Verifiable
Claim string - Verifiable Claims.
- attr
Match String - Matching attribute.
- verifiable
Claim String - Verifiable Claims.
- attr
Match string - Matching attribute.
- verifiable
Claim string - Verifiable Claims.
- attr_
match str - Matching attribute.
- verifiable_
claim str - Verifiable Claims.
- attr
Match String - Matching attribute.
- verifiable
Claim String - Verifiable Claims.
GetDomainsIdentityProofingProviderConfiguration
GetDomainsIdentityProofingProviderIdcsCreatedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref string
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref str
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderIdcsLastModifiedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref string
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref str
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderIdcsLockedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- _
ref String - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref str - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref String - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier (OCID) for the SCIM Resource.
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderMeta
- Created string
- The DateTime the Resource was added to the Service Provider
- Last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- Location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- Resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- Version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- Created string
- The DateTime the Resource was added to the Service Provider
- Last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- Location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- Resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- Version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created String
- The DateTime the Resource was added to the Service Provider
- last
Modified String - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location String
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type String - Name of the resource type of the resource--for example, Users or Groups
- version String
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created string
- The DateTime the Resource was added to the Service Provider
- last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created str
- The DateTime the Resource was added to the Service Provider
- last_
modified str - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location str
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource_
type str - Name of the resource type of the resource--for example, Users or Groups
- version str
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created String
- The DateTime the Resource was added to the Service Provider
- last
Modified String - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location String
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type String - Name of the resource type of the resource--for example, Users or Groups
- version String
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
GetDomainsIdentityProofingProviderRuntimeData
- attr_
name str - Name of the attribute.
- attr_
value str - Value of the attribute.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v4.5.1
published on Friday, Apr 3, 2026 by Pulumi
published on Friday, Apr 3, 2026 by Pulumi
